import request from '@/utils/request'

// 查询设备使用统计列表
export function listStat(query) {
  return request({
    url: '/control/stat/list',
    method: 'get',
    params: query
  })
}

// 查询设备使用统计详细
export function getStat(statId) {
  return request({
    url: '/control/stat/' + statId,
    method: 'get'
  })
}

// 新增设备使用统计
export function addStat(data) {
  return request({
    url: '/control/stat',
    method: 'post',
    data: data
  })
}

// 修改设备使用统计
export function updateStat(data) {
  return request({
    url: '/control/stat',
    method: 'put',
    data: data
  })
}

// 删除设备使用统计
export function delStat(statId) {
  return request({
    url: '/control/stat/' + statId,
    method: 'delete'
  })
}

// 导出设备使用统计
export function exportStat(query) {
  return request({
    url: '/control/stat/export',
    method: 'get',
    params: query
  })
}